using FluentValidation;
using Hotline.Share.Dtos.Knowledge;

namespace Hotline.Validators.Knowledge
{
    public class KnowledgeCollectGroupInDtoValidator : AbstractValidator<KnowledgeCollectGroupInDto>
    {
        public KnowledgeCollectGroupInDtoValidator()
        {
            RuleFor(d => d.Name).NotEmpty();
        }
    }

    public class KnowledgeCollectAddDtoValidator : AbstractValidator<KnowledgeCollectAddDto>
    {
        public KnowledgeCollectAddDtoValidator()
        {
            // RuleFor(d => d.KnowledgeCollectGroupId).NotEmpty();
        }
    }
}
